Subject: $BE_USER->uc['noOnChangeAlertInTypeFields']  don't work
Description

if I set this option, then the fields are not updated. But this make no sense. I hoped that only the Alert message don't appear.
I changed this in class.t3lib_tceforms.php. line 730 (function getSingleField):

if (
(($TCA[$table]['ctrl']['type'] && !strcmp($field,$TCA[$table]['ctrl']['type'])) ||
                        ($TCA[$table]['ctrl']['requestUpdate'] &&      t3lib_div::inList($TCA[$table]['ctrl']['requestUpdate'],$field)))
                    )    {
                    if(!$BE_USER->uc['noOnChangeAlertInTypeFields']){
                        $alertMsgOnChange = 'if confirm('.$GLOBALS['LANG']->JScharCode($this->getLL('m_onChangeAlert')).') &&
TBE_EDITOR_checkSubmit(-1)){ TBE_EDITOR_submitForm() };';
}else {
        $alertMsgOnChange='TBE_EDITOR_submitForm()';
}
 else {$alertMsgOnChange='';}

and it works how I think it have to do.
Jens

(issue imported from #M1040)

Related issues:
duplicates Core - Feature # 14735: Disable all nag screens Closed 2005-05-15

History
#1 - 2005-04-27 15:03 - Sebastian Kurfuerst

Hi, if I understood you correctly, you modified the core for making that function to work. Could you please supply a diff in unified diff format? That would
be of great help, thanks! - Sebastian

#2 - 2005-04-27 15:44 - old_jwitt 

This is the diff. Its my first diff and I made it with 'diff -u'. I hope thats right.   
Jens

#3 - 2005-04-27 15:47 - Sebastian Kurfuerst
Thanks for the diff :) - Sebastian

#4 - 2005-10-18 18:16 - Sebastian Kurfuerst

fixed with bug 1078
class.t3lib_tceforms.diff 1.2 kB 2005-04-27 Administrator Admin
